.debug-container{
    position: relative;
    /*display: inline-block;*/
    margin-left: 10px;
}
.debug-container .debug-container{
    margin-left: 38px;
}
.debug-container>.debug-item{
    left: 20px;
}
.debug-item{
    cursor: pointer;
    position: absolute;
    top: 5px;
    left: 5px;
    z-index: 999999;
    font-size: 14px;
    color: #ff0000;
    border-radius: 2px;
    line-height: 16px;
}
.debug-container>.debug-top-none{
    top: 0;
}
.debug-second{
    top: 18px;
}
.debug-third{
    top: 36px;
}
.debug-item + .debug-item{
    margin-left: 24px;
}
.debug-item.flymore-iconfont{
    line-height: 16px;
    font-size: 12px;
}
.debug-item .flymore-iconfont{
    line-height: 16px;
    font-size: 12px;
}
/*
.debug-item{
    display: inline-block;
    padding: 0 6px;
    font-size: 12px;
    text-align: center;
    background-color: #FF5722;
    color: #fff;
    border-radius: 2px;
}*/

.debug-item-btn{
    --color-primary-500: #ff0000;
    --color-primary-600: #ff0000;
    --color-primary-900: #000000;
    --color-secondary-500: #009688;
    --color-secondary-900: #000000;
    --font-primary: "Montserrat", sans-serif;
}
.debug-item-btn {
    position: relative;
    display: inline-block;
    margin: 0;
    width: 18px;
    height: 18px;
    line-height: 18px;
    text-align: center;
    background: var(--color-primary-500);
    color: var(--color-secondary-900);
    font-family: inherit;
    font-size: 14px;
    font-weight: 600;
    border: 0;
    border-radius: 5px;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.6);
    cursor: pointer;
    transition: background 250ms, box-shadow 250ms;
}

.debug-item-btn:hover {
    background: var(--color-primary-600);
    box-shadow: -1px 2px 8px rgba(0, 0, 0, 0.8);
}

.debug-item-btn:active, .debug-item-btn:focus {
    outline: none;
}

.debug-item-btn:active {
    box-shadow: -4px 4px 24px rgba(0, 0, 0, 0.8);
}

.debug-item-btn .text {
    position: relative;
    pointer-events:none;
    color: var(--color-secondary-900);
}

.debug-item-btn .dot {
    position: absolute;
    z-index: -1;
    display: block;
    width: 100px;
    height: 10px;
    transform-origin: 5px 5px;
    pointer-events: none;
}

.debug-item-btn .dot:nth-child(1) {
    top: 50%;
    left: 100%;
    transform: translate3d(-10px, -5px, 0);
}

.debug-item-btn .dot:nth-child(2) {
    bottom: 0;
    left: 100%;
    transform: translate3d(-10px, 0, 0) rotate(45deg);
}

.debug-item-btn .dot:nth-child(3) {
    bottom: 0;
    left: 50%;
    transform: translate3d(-5px, 0, 0) rotate(90deg);
}

.debug-item-btn .dot:nth-child(4) {
    bottom: 0;
    left: 0;
    transform: rotate(135deg);
}

.debug-item-btn .dot:nth-child(5) {
    top: 50%;
    left: 0;
    transform: translate3d(0, -5px, 0) rotate(180deg);
}

.debug-item-btn .dot:nth-child(6) {
    top: 0;
    left: 0;
    transform: rotate(225deg);
}

.debug-item-btn .dot:nth-child(7) {
    top: 0;
    left: 50%;
    transform: translate3d(-5px, 0, 0) rotate(270deg);
}

.debug-item-btn .dot:nth-child(8) {
    top: 0;
    left: 100%;
    transform: translate3d(-10px, 0, 0) rotate(315deg);
}

.debug-item-btn .dot::before {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 6px;
    height: 6px;
    background-color: var(--color-primary-500);
    border-radius: 50%;
    offset-path: path("M0 1c7.1 0 10.7 2 14.3 4s7.1 4 14.3 4 10.7-2 14.3-4 7.2-4 14.3-4 10.7 2 14.3 4 7.1 4 14.3 4 10.7-2 14.3-4 7.1-4 14.3-4 10.7 2 14.3 4 7.1 4 14.3 4 10.7-2 14.3-4 7.1-4 14.3-4 10.7 2 14.3 4 7.1 4 14.3 4");
    offset-distance: 0;
    pointer-events: none;
    content: "";
}

.debug-item-btn.is-animating .dot::before {
    animation: dot 750ms cubic-bezier(0.215, 0.61, 0.355, 1);
}

@keyframes dot {
    0% {
        offset-distance: 0%;
        opacity: 1;
    }
    100% {
        offset-distance: 25px;
        opacity: 0;
    }
}
.debug-hover div.text {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
}

.debug-hover:hover div.text{
    pointer-events: auto;
}
.debug-hover:before,
.debug-hover:after {
    position: absolute;
    content: "";
    height: 0%;
    width: 2px;
    background: blue;
    /*box-shadow: 0 0 5px blue;*/
}
.debug-hover:before {
    right: 0;
    top: 0;
    transition: all 500ms ease;
}
.debug-hover:after {
    left: 0;
    bottom: 0;
    transition: all 500ms ease;
}
.debug-hover:hover:before {
    transition: all 500ms ease;
    height: 100%;
}
.debug-hover:hover:after {
    transition: all 500ms ease;
    height: 100%;
}
.debug-hover div.text:before,
.debug-hover div.text:after {
    position: absolute;
    content: "";
    background: blue;
    /*box-shadow: 0 0 5px blue;*/
}
.debug-hover div.text:before {
    left: 0;
    top: 0;
    width: 0%;
    height: 2px;
    transition: all 500ms ease;
}
.debug-hover div.text:after {
    right: 0;
    bottom: 0;
    width: 0%;
    height: 2px;
    transition: all 500ms ease;
}
.debug-hover div.text:hover:before {
    width: 100%;
}
.debug-hover div.text:hover:after {
    width: 100%;
}